Table cases;
ArrayList<ArrayList<Case>> total = new ArrayList<>();
int casesCols, casesRows;
HashMap<String, Integer> areaMap = new HashMap<>();
String tableName;
float r;
int[] maxCases = new int[3];
int[] maxDeaths = new int[3];
void read() {
    areaMap.put("RU",800);
    areaMap.put("China",600);
    areaMap.put("USA", 400);
    areaMap.put("FR",300);
    areaMap.put("GB",200);
    
    for (int k = 2020; k < 2023; k++) {
        for (String name : areaMap.keySet()) {
            
            tableName = k + name + ".csv";
            cases = loadTable(tableName,"header");
            r = areaMap.get(name);
            println(r);
            
            casesRows = cases.getRowCount();
            casesCols = cases.getColumnCount();
            println("casesRows", casesRows); 
            println("casesCols", casesCols);
            
            float angleStep = TWO_PI / (casesRows);
            
            ArrayList<Case> datas = new ArrayList<Case>();
            
            for (int i = 0; i < casesRows; i++) {
                int year = Integer.parseInt((cases.getString(i,0)).substring(0,4));
                int month = Integer.parseInt((cases.getString(i,0)).substring(5,7));
                int day = Integer.parseInt((cases.getString(i,0)).substring(8,10));
                String country = cases.getString(i, 2); 
                int newCases = cases.getInt(i,4);
                int cumulativeCases = cases.getInt(i,5);
                int newDeaths = cases.getInt(i,6);
                int cumulativeDeaths = cases.getInt(i,7);
                float angle = i * angleStep;
                float x = r * cos(angle);
                float y = r * sin(angle);
                float z = 0 + (k - 2020) * 800;
                float caseX = r * cos(angle + angleStep / 2);
                float caseY = r * sin(angle + angleStep / 2); 
                float caseZ =  (float)Math.sqrt(newCases);
                float deathZ = - (float)Math.sqrt(newDeaths);
                datas.add(new Case(year,  month,  day, country,  newCases,  cumulativeCases,  newDeaths, 
                    cumulativeDeaths, x, y, z, caseX, caseY, caseZ, deathZ));
                if (newCases > maxCases[k - 2020]) maxCases[k - 2020] = newCases;
                if (newDeaths > maxDeaths[k - 2020]) maxDeaths[k - 2020] = newDeaths;
            }
            total.add(datas); 
            println("datas length is" + datas.size());  
            println("total number:" + total.size()); 
        }   
        println("maxCases: " + maxCases[k - 2020]);
        println("maxDeath: " + maxDeaths[k - 2020]);
    } 
}
